PDA

View Full Version : [OPEN-1440] [3.3] Ext.decode safe option does not exist



timbonicus
17 Nov 2010, 8:54 AM
Ext version tested:


Ext 3.3 rev 0


Adapter used:


ext


css used:


only default ext-all.css


Browser versions tested against:


All


Operating System:


Windows Vista


Description:


The Ext.decode documentation shows a 'safe' parameter. This is an alias for Ext.util.JSON.decode, which mentions the 'safe' parameter in the documentation but does not show it in the parameter list. Both of these are incorrect as there is no such option implemented in the code. This has been noted in several forum threads; the second thread even has a simple patch implementation. Can this either be fixed or removed from the documentation?
http://www.sencha.com/forum/showthread.php?110985
http://www.sencha.com/forum/showthread.php?77264


Possible fix:


Implement 'safe' parameter.
Remove from Ext.decode and Ext.util.JSON.decode documentation.